Bug 833356 - Review Request: ghc-data-inttrie - A simple lazy, infinite trie from integers
Review Request: ghc-data-inttrie - A simple lazy, infinite trie from integers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 05:55 EDT by Shakthi Kannan
Modified: 2012-09-17 18:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 20:30:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-19 05:55:18 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-data-inttrie.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-data-inttrie-0.0.7-1.fc16.src.rpm
Description: A simple lazy, infinite trie from integers
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-19 05:56:45 EDT
$  rpmlint ghc-data-inttrie.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-data-inttrie-0.0.7-1.fc16.x86_64.rpm 
ghc-data-inttrie.x86_64: W: spelling-error Summary(en_US) trie -> tire, true, tie
ghc-data-inttrie.x86_64: W: spelling-error %description -l en_US trie -> tire, true, tie
ghc-data-inttrie.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
ghc-data-inttrie.x86_64: W: spelling-error %description -l en_US foldr -> fold, folder, folds
ghc-data-inttrie.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

$  rpmlint ghc-data-inttrie-devel-0.0.7-1.fc16.x86_64.rpm 
ghc-data-inttrie-devel.x86_64: W: spelling-error Summary(en_US) trie -> tire, true, tie
ghc-data-inttrie-devel.x86_64: W: spelling-error %description -l en_US trie -> tire, true, tie
ghc-data-inttrie-devel.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
ghc-data-inttrie-devel.x86_64: W: spelling-error %description -l en_US foldr -> fold, folder, folds
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$  rpmlint ghc-data-inttrie-0.0.7-1.fc16.src.rpm 
ghc-data-inttrie.src: W: spelling-error Summary(en_US) trie -> tire, true, tie
ghc-data-inttrie.src: W: spelling-error %description -l en_US trie -> tire, true, tie
ghc-data-inttrie.src: W: spelling-error %description -l en_US eg -> eh, e, g
ghc-data-inttrie.src: W: spelling-error %description -l en_US foldr -> fold, folder, folds
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


Successful Koji builds for F16, F17, and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4176162
http://koji.fedoraproject.org/koji/taskinfo?taskID=4176160
http://koji.fedoraproject.org/koji/taskinfo?taskID=4176153

I have informed upstream to add a LICENSE file to the sources.
Comment 2 Narasimhan 2012-09-01 11:16:39 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
ghc-data-inttrie.src: W: spelling-error Summary(en_US) trie -> tire, true, tie
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.src: W: spelling-error %description -l en_US trie -> tire, true, tie
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.src: W: spelling-error %description -l en_US eg -> eh, e, g
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.src: W: spelling-error %description -l en_US foldr -> fold, folder, folds
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.x86_64: W: spelling-error Summary(en_US) trie -> tire, true, tie
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.x86_64: W: spelling-error %description -l en_US trie -> tire, true, tie
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.x86_64: W: spelling-error %description -l en_US foldr -> fold, folder, folds
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-data-inttrie-devel.x86_64: W: spelling-error Summary(en_US) trie -> tire, true, tie
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie-devel.x86_64: W: spelling-error %description -l en_US trie -> tire, true, tie
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie-devel.x86_64: W: spelling-error %description -l en_US eg -> eh, e, g
The value of this tag appears to be misspelled. Please double-check.

ghc-data-inttrie-devel.x86_64: W: spelling-error %description -l en_US foldr -> fold, folder, folds
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 13 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK, BSD
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
The package has only one source file which mentions the license to be BSD. Also .cabal file's license field is BSD.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is not included. Packager has requested upstream to include it
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum data-inttrie-0.0.7.tar.gz 
37828f696c966ad4b6b7f533bb348e77b5dcbdf9e9c69973bc68c82bae41a5a5  data-inttrie-0.0.7.tar.gz

sha256sum ghc-data-inttrie-0.0.7-1.fc16.src/data-inttrie-0.0.7.tar.gz 
37828f696c966ad4b6b7f533bb348e77b5dcbdf9e9c69973bc68c82bae41a5a5  ghc-data-inttrie-0.0.7-1.fc16.src/data-inttrie-0.0.7.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
Installed the packages. Checked with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-data-inttrie
error: Failed dependencies:
    ghc(data-inttrie-0.0.7) = c8a8e017f537134057476291d71af67a is needed by (installed) ghc-data-inttrie-devel-0.0.7-1.fc15.x86_64
    ghc-data-inttrie = 0.0.7-1.fc15 is needed by (installed) ghc-data-inttrie-devel-0.0.7-1.fc15.x86_64

[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[+]SHOULD: The package should compile and build into binary rpms on all supported architectures.
Built on x86 and x86_64.
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Loaded Data.IntTrie into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Shakthi Kannan 2012-09-01 22:57:23 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: ghc-data-inttrie
Short Description: A simple lazy, infinite trie from integers
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 4 Gwyn Ciesla 2012-09-02 20:10:38 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-09-03 02:46:29 EDT
ghc-data-inttrie-0.0.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-data-inttrie-0.0.7-1.fc16
Comment 6 Fedora Update System 2012-09-03 02:46:39 EDT
ghc-data-inttrie-0.0.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-data-inttrie-0.0.7-1.fc17
Comment 7 Fedora Update System 2012-09-03 02:46:49 EDT
ghc-data-inttrie-0.0.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-data-inttrie-0.0.7-1.fc18
Comment 8 Fedora Update System 2012-09-03 13:22:51 EDT
ghc-data-inttrie-0.0.7-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Fedora Update System 2012-09-11 20:30:04 EDT
ghc-data-inttrie-0.0.7-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-09-11 20:31:13 EDT
ghc-data-inttrie-0.0.7-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-09-17 18:19:55 EDT
ghc-data-inttrie-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.